import { Injectable } from '@angular/core';

@Injectable({
  providedIn: 'root',
})
export class LocalStorageService {
  private readonly AUTH_TOKEN_KEY = 'auth_token';
  private readonly IS_ADMIN_KEY = 'isAdmin';

  constructor() {}

  setToken(token: string): void {
    localStorage.setItem(this.AUTH_TOKEN_KEY, token);
  }

  getToken(): string | null {
    return localStorage.getItem(this.AUTH_TOKEN_KEY);
  }

  removeToken(): void {
    localStorage.removeItem(this.AUTH_TOKEN_KEY);
  }

  setIsAdmin(isAdmin: boolean): void {
    localStorage.setItem(this.IS_ADMIN_KEY, isAdmin.toString());
  }

  getIsAdmin(): string | null {
    return localStorage.getItem(this.IS_ADMIN_KEY);
  }

  removeIsAdmin(): void {
    localStorage.removeItem(this.IS_ADMIN_KEY);
  }
}
